load singvec.mat;


figure(1)
set(gca(),'fontsize',14)
surf(reshape(ED(1:1600),40,40)); view(2);colorbar;shading interp;
xlabel('X-Direction');
ylabel('Y-Direction'); 
%title('Perturbation Energy for h');
saveas(gcf,'Height1-2D','epsc');
figure(2)
set(gca(),'fontsize',14)
surf(reshape(ED(1601:3200),40,40)); view(2);colorbar;shading interp;
xlabel('X-Direction');
ylabel('Y-Direction'); 
%title('Perturbation Energy for U');
saveas(gcf,'U1-2D','epsc');
figure(3)
set(gca(),'fontsize',14)
surf(reshape(ED(3201:4800),40,40)); view(2);colorbar;shading interp;
xlabel('X-Direction');
ylabel('Y-Direction'); 
%title('Perturbation Energy for V');
saveas(gcf,'V1-2D','epsc');
figure(4)
set(gca(),'fontsize',14)
plot(diag(DD))
xlabel(' ');
ylabel('Eigenvalues'); 
%title('Generalized Eigenvalues');
saveas(gcf,'Eigen1-Gen','epsc');


figure(1)
set(gca(),'fontsize',14)
surf(reshape(ES(1:1600),40,40)); view(2);colorbar;shading interp;
xlabel('X-Direction');
ylabel('Y-Direction'); 
%title('Perturbation Energy for h');
saveas(gcf,'Height-2D','epsc');
figure(2)
set(gca(),'fontsize',14)
surf(reshape(ES(1601:3200),40,40)); view(2);colorbar;shading interp;
xlabel('X-Direction');
ylabel('Y-Direction'); 
%title('Perturbation Energy for U');
saveas(gcf,'U-2D','epsc');
figure(3)
set(gca(),'fontsize',14)
surf(reshape(ES(3201:4800),40,40)); view(2);colorbar;shading interp;
xlabel('X-Direction');
ylabel('Y-Direction'); 
%title('Perturbation Energy for V');
saveas(gcf,'V-2D','epsc');
figure(4)
set(gca(),'fontsize',14)
plot(diag(DS))
xlabel('  ');
ylabel('Eigenvalues'); 
%title('Generalized Eigenvalues');
saveas(gcf,'Eigen-Gen','epsc');

load traj.dat;
[dx dy]=meshgrid(1:2:40,1:2:40);
grey = [0.4,0.4,0.4];
vv=reshape(traj,4800,101);

figure1 = figure('Colormap',...
    [1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;0.9375 1 1;0.875 1 1;0.8125 1 1;0.75 1 1;0.6875 1 1;0.625 1 1;0.5625 1 1;0.5 1 1;0.4375 1 1;0.375 1 1;0.3125 1 1;0.25 1 1;0.1875 1 1;0.125 1 1;0.0625 1 1;0 1 1;0.0625 1 0.9375;0.125 1 0.875;0.1875 1 0.8125;0.25 1 0.75;0.3125 1 0.6875;0.375 1 0.625;0.4375 1 0.5625;0.5 1 0.5;0.5625 1 0.4375;0.625 1 0.375;0.6875 1 0.3125;0.75 1 0.25;0.8125 1 0.1875;0.875 1 0.125;0.9375 1 0.0625;1 1 0;1 0.9375 0;1 0.875 0;1 0.8125 0;1 0.75 0;1 0.6875 0;1 0.625 0;1 0.5625 0;1 0.5 0;1 0.4375 0;1 0.375 0;1 0.3125 0;1 0.25 0;1 0.1875 0;1 0.125 0;1 0.0625 0;1 0 0;0.9375 0 0;0.875 0 0;0.8125 0 0;0.75 0 0;0.6875 0 0;0.625 0 0;0.5625 0 0;0.5 0 0]);

subplot(2,3,1);
set(gca(),'fontsize',20)
H=reshape(vv(1:1600,1),40,40)-200;
U=(reshape(vv(1601:3200,1),40,40));
V=(reshape(vv(3201:4800,1),40,40));
surf(H);  hold on;
quiver(5:8:35,5:8:35,U(5:8:35,5:8:35),V(5:8:35,5:8:35),'linewidth',4.0,'color','white');
quiver(5:8:35,5:8:35,U(5:8:35,5:8:35),V(5:8:35,5:8:35),'linewidth',2.0,'color','black');shading interp;view(2);hold off;

subplot(2,3,2);
set(gca(),'fontsize',20)
H=reshape(vv(1:1600,20),40,40)-200;
U=(reshape(vv(1601:3200,20),40,40));
V=(reshape(vv(3201:4800,20),40,40));
surf(H);  hold on;
quiver(8:8:35,8:8:35,U(8:8:35,8:8:35),V(8:8:35,8:8:35),'linewidth',4.0,'color','white');
quiver(8:8:35,8:8:35,U(8:8:35,8:8:35),V(8:8:35,8:8:35),'linewidth',2.0,'color','black');shading interp;view(2);hold off;

subplot(2,3,3);
set(gca(),'fontsize',20)
H=reshape(vv(1:1600,40),40,40)-200;
U=(reshape(vv(1601:3200,40),40,40));
V=(reshape(vv(3201:4800,40),40,40));
surf(H);  hold on;
quiver(5:8:35,5:8:35,U(5:8:35,5:8:35),V(5:8:35,5:8:35),'linewidth',4.0,'color','white');
quiver(5:8:35,5:8:35,U(5:8:35,5:8:35),V(5:8:35,5:8:35),'linewidth',2.0,'color','black');shading interp;view(2);hold off; 


subplot(2,3,4);
set(gca(),'fontsize',20)
H=reshape(vv(1:1600,60),40,40)-200;
U=(reshape(vv(1601:3200,60),40,40));
V=(reshape(vv(3201:4800,60),40,40));
surf(H);  hold on;
quiver(5:8:35,5:8:35,U(5:8:35,5:8:35),V(5:8:35,5:8:35),'linewidth',4.0,'color','white');
quiver(5:8:35,5:8:35,U(5:8:35,5:8:35),V(5:8:35,5:8:35),'linewidth',2.0,'color','black');shading interp;view(2);hold off;

subplot(2,3,5);
set(gca(),'fontsize',20)
H=reshape(vv(1:1600,80),40,40)-200;
U=(reshape(vv(1601:3200,80),40,40));
V=(reshape(vv(3201:4800,80),40,40));
surf(H);  hold on;
quiver(5:8:35,5:8:35,U(5:8:35,5:8:35),V(5:8:35,5:8:35),'linewidth',4.0,'color','white');
quiver(5:8:35,5:8:35,U(5:8:35,5:8:35),V(5:8:35,5:8:35),'linewidth',2.0,'color','black');shading interp;view(2);hold off;

subplot(2,3,6);
set(gca(),'fontsize',20)
H=reshape(vv(1:1600,100),40,40)-200;
U=(reshape(vv(1601:3200,100),40,40));
V=(reshape(vv(3201:4800,100),40,40));
surf(H);  hold on;
quiver(8:8:35,8:8:35,U(8:8:35,8:8:35),V(8:8:35,8:8:35),'linewidth',4.0,'color','white');
quiver(8:8:35,8:8:35,U(8:8:35,8:8:35),V(8:8:35,8:8:35),'linewidth',2.0,'color','black');shading interp;view(2);hold off;




  saveas(gcf,'traj-Gen','epsc');

load sensloc.mat;
figure1 = figure('XVisual',...
    '0x113 (TrueColor, depth 24, RGB mask 0xff0000 0xff00 0x00ff)',...
    'Colormap',[1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;0.9375 1 1;0.875 1 1;0.8125 1 1;0.75 1 1;0.6875 1 1;0.625 1 1;0.5625 1 1;0.5 1 1;0.4375 1 1;0.375 1 1;0.3125 1 1;0.25 1 1;0.1875 1 1;0.125 1 1;0.0625 1 1;0 1 1;0.0625 1 0.9375;0.125 1 0.875;0.1875 1 0.8125;0.25 1 0.75;0.3125 1 0.6875;0.375 1 0.625;0.4375 1 0.5625;0.5 1 0.5;0.5625 1 0.4375;0.625 1 0.375;0.6875 1 0.3125;0.75 1 0.25;0.8125 1 0.1875;0.875 1 0.125;0.9375 1 0.0625;1 1 0;1 0.9375 0;1 0.875 0;1 0.8125 0;1 0.75 0;1 0.6875 0;1 0.625 0;1 0.5625 0;1 0.5 0;1 0.4375 0;1 0.375 0;1 0.3125 0;1 0.25 0;1 0.1875 0;1 0.125 0;1 0.0625 0;1 0 0;0.9375 0 0;0.875 0 0;0.8125 0 0;0.75 0 0;0.6875 0 0;0.625 0 0;0.5625 0 0;0.5 0 0]);

figure(1);
set(gca(),'fontsize',14);
surf(loc1);view(2);
%title('Sensor Locations');
saveas(gcf,'Sensor-loc1','epsc');

figure2 = figure('XVisual',...
    '0x113 (TrueColor, depth 24, RGB mask 0xff0000 0xff00 0x00ff)',...
    'Colormap',[1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;1 1 1;0.9375 1 1;0.875 1 1;0.8125 1 1;0.75 1 1;0.6875 1 1;0.625 1 1;0.5625 1 1;0.5 1 1;0.4375 1 1;0.375 1 1;0.3125 1 1;0.25 1 1;0.1875 1 1;0.125 1 1;0.0625 1 1;0 1 1;0.0625 1 0.9375;0.125 1 0.875;0.1875 1 0.8125;0.25 1 0.75;0.3125 1 0.6875;0.375 1 0.625;0.4375 1 0.5625;0.5 1 0.5;0.5625 1 0.4375;0.625 1 0.375;0.6875 1 0.3125;0.75 1 0.25;0.8125 1 0.1875;0.875 1 0.125;0.9375 1 0.0625;1 1 0;1 0.9375 0;1 0.875 0;1 0.8125 0;1 0.75 0;1 0.6875 0;1 0.625 0;1 0.5625 0;1 0.5 0;1 0.4375 0;1 0.375 0;1 0.3125 0;1 0.25 0;1 0.1875 0;1 0.125 0;1 0.0625 0;1 0 0;0.9375 0 0;0.875 0 0;0.8125 0 0;0.75 0 0;0.6875 0 0;0.625 0 0;0.5625 0 0;0.5 0 0]);

figure(2);
set(gca(),'fontsize',14);
surf(loc2);view(2);
%title('Sensor Locations');
saveas(gcf,'Sensor-loc2','epsc');


